<?php

  $books_printing_theme_custom_setting_css = '';

	// Global Color
	$books_printing_theme_color = get_theme_mod('books_printing_theme_color', '#f9c2ad');

	$books_printing_theme_custom_setting_css .=':root {';
		$books_printing_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($books_printing_theme_color ).'!important;';
	$books_printing_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$books_printing_scroll_alignment = get_theme_mod('books_printing_scroll_alignment', 'right');

    if($books_printing_scroll_alignment == 'right'){
        $books_printing_theme_custom_setting_css .='.scroll-up{';
            $books_printing_theme_custom_setting_css .='right: 30px;!important;';
			$books_printing_theme_custom_setting_css .='left: auto;!important;';
        $books_printing_theme_custom_setting_css .='}';
    }else if($books_printing_scroll_alignment == 'center'){
        $books_printing_theme_custom_setting_css .='.scroll-up{';
            $books_printing_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $books_printing_theme_custom_setting_css .='}';
    }else if($books_printing_scroll_alignment == 'left'){
        $books_printing_theme_custom_setting_css .='.scroll-up{';
            $books_printing_theme_custom_setting_css .='left: 30px;!important;';
			$books_printing_theme_custom_setting_css .='right: auto;!important;';
        $books_printing_theme_custom_setting_css .='}';
    }	

    // Related Product

    $books_printing_show_related_product = get_theme_mod('books_printing_show_related_product', true );

    if($books_printing_show_related_product != true){
        $books_printing_theme_custom_setting_css .='.related.products{';
            $books_printing_theme_custom_setting_css .='display: none;';
        $books_printing_theme_custom_setting_css .='}';
    } 
    
    // Featured Image Hover Effect
    $books_printing_show_featured = get_theme_mod('books_printing_featured_image_hide_show', 1);
    $books_printing_hover_effect = get_theme_mod('books_printing_single_post_featured_image_hover','none');

    if ( $books_printing_show_featured && $books_printing_hover_effect !== 'none' ) {

    $books_printing_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $books_printing_hover_effect === 'zoom-in' ) {
        $books_printing_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $books_printing_hover_effect === 'zoom-out' ) {
        $books_printing_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $books_printing_hover_effect === 'grayscale' ) {
        $books_printing_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $books_printing_hover_effect === 'sepia' ) {
        $books_printing_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $books_printing_hover_effect === 'blur' ) {
        $books_printing_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $books_printing_hover_effect === 'bright' ) {
        $books_printing_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $books_printing_hover_effect === 'translate' ) {
        $books_printing_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $books_printing_hover_effect === 'scale' ) {
        $books_printing_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $books_printing_show_featured = get_theme_mod('books_printing_featured_image_hide_show', 1);
    $books_printing_hover_effect = get_theme_mod('books_printing_product_featured_image_hover','none');

    if ( $books_printing_show_featured && $books_printing_hover_effect !== 'none' ) {

    $books_printing_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $books_printing_hover_effect === 'zoom-in' ) {
        $books_printing_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $books_printing_hover_effect === 'zoom-out' ) {
        $books_printing_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $books_printing_hover_effect === 'grayscale' ) {
        $books_printing_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $books_printing_hover_effect === 'sepia' ) {
        $books_printing_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $books_printing_hover_effect === 'blur' ) {
        $books_printing_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $books_printing_hover_effect === 'bright' ) {
        $books_printing_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $books_printing_hover_effect === 'translate' ) {
        $books_printing_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $books_printing_hover_effect === 'scale' ) {
        $books_printing_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   